import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import '@/plugins/element.js';
import '@/plugins/axios';
import '@/plugins/check-res';
import '@/plugins/meta';
import '@/plugins/filters';
import '@/plugins/loading';
import '@/plugins/var';
import '@/plugins/methods';
import '@/plugins/setting';
import '@/plugins/components';
import '@common/src/assets/icon/iconfont.css';
// 打印
import Print from '@/util/print';
Vue.use(Print);
// 导数据
import JsonExcel from 'vue-json-excel';
Vue.component('downloadExcel', JsonExcel);
// 动画
import 'animate.css';
// 管理中心页面效果布局所需插件
import ElementUI from 'element-ui';
import VueI18n from 'vue-i18n';
import 'babel-polyfill';
import { messages } from '@common/src/components/admin-frame/i18n';
import '@common/src/assets/css/theme-green/index.css'; // 浅绿色主题
import '@common/src/assets/css/icon.css';
import '@common/src/assets/css/theme-green/color-green.css'; // 浅绿色主题
Vue.config.productionTip = false;
Vue.use(VueI18n);
Vue.use(ElementUI, { size: 'small' });
const i18n = new VueI18n({ locale: 'zh', messages });
new Vue({ router, store, i18n, render: (h) => h(App) }).$mount('#app');
window.vm = new Vue({ router });
